Bug 502928 - Xephyr utility should be resizable
Xephyr utility should be resizable
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
[cat:RFE]
: Patch, Triaged
Depends On:
Blocks: 600505
  Show dependency treegraph
 
Reported: 2009-05-27 16:01 EDT by Daniel Walsh
Modified: 2012-09-11 15:06 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 600505 (view as bug list)
Environment:
Last Closed: 2012-09-11 15:06:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed solution for resizing xephyr (4.01 KB, patch)
2010-05-24 15:40 EDT, Thomas Liu
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 25804 None None None Never

  None (edit)
Description Daniel Walsh 2009-05-27 16:01:28 EDT
Description of problem:

I should be able to resize Xephyr windows Tools like qemu and sandbox could give the user a better experience if the windows resized properly with the parent window.  

I think the problem is not passing the Resize event down to the Xserver children.
Comment 1 Bug Zapper 2009-06-09 12:40:41 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Matěj Cepl 2009-11-05 13:30:02 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 3 Matěj Cepl 2010-02-26 07:21:11 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]
Comment 4 Daniel Walsh 2010-02-26 11:03:12 EST
This bug should stay open.  Moved to F12.  Really need this for RHEL6...
Comment 5 Matěj Cepl 2010-03-02 17:36:54 EST
note to myself: check in VM
Comment 6 Daniel Walsh 2010-05-24 09:53:32 EDT
This patch might help.

https://bugs.freedesktop.org/show_bug.cgi?id=25804
Comment 7 Thomas Liu 2010-05-24 15:40:55 EDT
Created attachment 416207 [details]
proposed solution for resizing xephyr

This is a modified version of the patch from Dan's link that works.  I have tested it against the current version of xorg from cvs.
Comment 8 Daniel Walsh 2010-05-24 17:28:20 EDT
This seems to work, although a little flashy.  Thomas fixed it so it can be wrapped by another application or run on its own.  I need this fix for F13/F14 and RHEL6 if at all possible.
Comment 9 Daniel Walsh 2010-06-04 16:53:31 EDT
Thomas can you see about updating the patch at 

http://bugzilla.freedesktop.org/
Comment 10 Bug Zapper 2010-11-04 07:12:17 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Daniel Walsh 2010-11-04 13:08:08 EDT
The fix is in RHEL6, is there any movement on upstream?
Comment 12 Daniel Walsh 2011-04-25 11:24:14 EDT
Adam any update?
Comment 13 Adam Jackson 2012-09-11 15:06:00 EDT
commit 8843aed82e7d69422e7763a35832a2be8f26723f
Author: Vic Lee <llyzs@163.com>
Date:   Mon Jul 30 14:32:09 2012 -0400

    ephyr: Resize screen automatically when parent window is resized
    
    Bugzilla: https://bugs.freedesktop.org/25804
    Reviewed-by: Adam Jackson <ajax@redhat.com>
    Signed-off-by: Vic Lee <llyzs@163.com>
    Signed-off-by: Keith Packard <keithp@keithp.com>

Note You need to log in before you can comment on or make changes to this bug.